
QGIS Application - Bug report #20051

SAGA "Fill Sink" keeps running

2018-10-08 04:44 PM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 27873

Description

Using SAGA Fill Sink ans Fill Sink (Wang & Liu)I´m only presented to save in SDAT filformat.

In 2.18 there are multiple raster data formats.

I can type in .tif

If I click 'Open output after running algorithm' The process keep running and I have to close the program.

Associated revisions

Revision efd54f86 - 2019-01-07 12:55 AM - Nyall Dawson

[processing][SAGA] Resync Fill Sinks descriptions, add tests

Refs #20051

Revision 8cc96e67 - 2019-01-07 04:19 AM - Nyall Dawson

[processing][SAGA] Resync Fill Sinks descriptions, add tests

Refs #20051

(cherry picked from commit efd54f862f9319abb47149a445c2370e7e9170d8)

History

#1 - 2018-10-08 05:46 PM - Lene Fischer

The process keeps runnning - but the data is processed and is placed in C:\Users\dlt265\AppData\Local\Temp

#2 - 2018-10-08 10:44 PM - Nyall Dawson

In 3.0 the choice was made to only expose the native output formats from 3rd party providers like saga. We did this to avoid silently changing the outputs

during conversion to non native formats, e.g. possibly changing field types and data types which aren't a direct match for the original output.

Better to only allow the actual supported formats and require users to convert the outputs themselves, making any format specific compatibility issues their

responsibility.
#3 - 2018-10-09 11:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from Yes to No

- Subject changed from SAGA Fill Sink save in SDAT fil and Open output - keep running to SAGA "Fill Sink" keeps running

Lene Fischer wrote:

The process keeps runnning - but the data is processed and is placed in C:\Users\dlt265\AppData\Local\Temp

I cannot confirm here on master/linux with data of my own. Can you attach sample data that in your case causes the tool to keep running?

Also why tagging this a regression? did it worked normally in a previous release?

#4 - 2018-12-28 11:28 AM - Paolo Cavallini

Please give feedback or close this issue.

#5 - 2019-01-07 12:59 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to not reproducable

I can't reproduce, and there's now unit tests covering this. I think it's safe to close.
